> For the complete documentation index, see [llms.txt](https://docs.jgscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jgscripts.com/dealerships/integrations/pickle-mods-documents.md).

# Pickle Mods Documents

For registering your vehicle after purchase :-)

Buy it here: <https://store.picklemods.com/package/5447777>

{% hint style="warning" %}

#### Replace the  jg-dealerships:client:purchase-vehicle:config event located in the config-cl.lua with this below

{% endhint %}

```lua
RegisterNetEvent("jg-dealerships:client:purchase-vehicle:config", function(vehicle, plate, purchaseType, amount, paymentMethod, financed)
  TriggerServerEvent("jg-dealerships:server:AddVehicleRegistration", plate)
end)
```

{% hint style="warning" %}

#### Add event below into config-sv.lua

{% endhint %}

```lua
RegisterNetEvent("jg-dealerships:server:AddVehicleRegistration", function(plate)
  local src = source
  local matches = MySQL.query.await("SELECT * FROM `dealership_sales` WHERE `plate` = :plate LIMIT 1", {
    plate = plate,
  })
  
  local data = matches[1]
  dealer = data['dealership']
  
  exports.pickle_documents:GiveDocument(src, "VehicleRegistration", {
    plate = plate,
    dealer = dealer,
  }, { takePhoto = true })
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jgscripts.com/dealerships/integrations/pickle-mods-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
